/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	html文字列処理 Velocity Toolクラス
//
//		変更履歴
//			2005.02.19  新規作成  村上 靖征
//
//	機能
//
//	このクラスはhtml文字列処理用Velocity Toolです。
//
////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmf.tools;

import jp.co.ntt.lms.xmo.util.HtmlEscape;

/**
 * html文字列処理 Toolクラス
 * 
 * このクラスはhtml文字列処理用Velocity Toolクラスです。
 * 
 * @author 村上 靖征
 * @version 1.0
 */
public class HTMLTool {

	/**
	 * 文字列の HTMLエスケープ処理を行う。
	 * 
	 * @param target 文字列
	 * @return 処理後の文字列
	 */
	public String escape(String target)
	{
		return HtmlEscape.escape(target);
	}
	
	/**
	 * 文字列中に含まれる「\」をエスケープ処理する。 
	 * 
	 * @param target 文字列
	 * @return 処理後の文字列
	 */
	public String escapeSinglequoteYen(String target)
	{
		return HtmlEscape.escapeSinglequoteYen(target);
	}
	
	/**
	 * 文字列中に含まれる改行を <br> に置き換える。
	 * @param target
	 * @return
	 */
	public String n2br(String target)
	{
		return HtmlEscape.n2br(target);
	}
}
